OpenTTD Source: NetworkCompanyInfo Struct Reference

OpenTTD Source 15.0-beta1

Data Fields
NetworkCompanyInfo Struct Reference

Company information stored at the client side. More...

`#include <network_gui.h>`

Inheritance diagram for NetworkCompanyInfo:

## Data Fields
std::string | company_name
| Company name.
TimerGameCalendar::Year | inaugurated_year
| What year the company started in.
Money | company_value
| The company value.
Money | money
| The amount of money the company has.
Money | income
| How much did the company earn last year.
uint16_t | performance
| What was his performance last month?
bool | use_password
| Is there a password.
std::string | clients
| The clients that control this company (Name1, name2, ..)
Data Fields inherited from NetworkCompanyStats
uint16_t | num_vehicle [NETWORK_VEH_END]
| How many vehicles are there of this type?
uint16_t | num_station [NETWORK_VEH_END]
| How many stations are there of this type?
bool | ai
| Is this company an AI.

## Detailed Description

Company information stored at the client side.

Definition at line 30 of file network_gui.h.

## Field Documentation

## ◆ clients

std::string NetworkCompanyInfo::clients

The clients that control this company (Name1, name2, ..)

Definition at line 38 of file network_gui.h.

## ◆ company_name

std::string NetworkCompanyInfo::company_name

Company name.

Definition at line 31 of file network_gui.h.

## ◆ company_value

Money NetworkCompanyInfo::company_value

The company value.

Definition at line 33 of file network_gui.h.

## ◆ inaugurated_year

TimerGameCalendar::Year NetworkCompanyInfo::inaugurated_year

What year the company started in.

Definition at line 32 of file network_gui.h.

## ◆ income

Money NetworkCompanyInfo::income

How much did the company earn last year.

Definition at line 35 of file network_gui.h.

## ◆ money

Money NetworkCompanyInfo::money

The amount of money the company has.

Definition at line 34 of file network_gui.h.

## ◆ performance

uint16_t NetworkCompanyInfo::performance

What was his performance last month?

Definition at line 36 of file network_gui.h.

## ◆ use_password

bool NetworkCompanyInfo::use_password

Is there a password.

Definition at line 37 of file network_gui.h.

The documentation for this struct was generated from the following file:

- src/network/network_gui.h